### Class

# Phosh Wayland

#### Description [src]

    final class Phosh.Wayland : GObject.Object
    {
      /* No available fields */
    }

A wayland registry listener

The `PhoshWayland` singleton is responsible for listening to wayland registry events registering the objects that show up there to make them available to Phosh’s other classes.

#### Ancestors

- GObject

#### Functions

###### phosh_wayland_get_default

Get the Wayland singleton for handling Wayland protocol interactions.

#### Instance methods

###### phosh_wayland_get_ext_idle_notifier_v1

No description available.

###### phosh_wayland_get_phosh_private

No description available.

###### phosh_wayland_get_phosh_private_version

No description available.

###### phosh_wayland_get_seat_capabilities

No description available.

###### phosh_wayland_get_wl_outputs

No description available.

###### phosh_wayland_get_wl_seat

No description available.

###### phosh_wayland_get_wl_shm

No description available.

###### phosh_wayland_get_xdg_wm_base

No description available.

###### phosh_wayland_get_zphoc_device_state_v1

No description available.

###### phosh_wayland_get_zphoc_layer_shell_effects_v1

No description available.

###### phosh_wayland_get_zwlr_foreign_toplevel_manager_v1

No description available.

###### phosh_wayland_get_zwlr_gamma_control_manager_v1

No description available.

###### phosh_wayland_get_zwlr_layer_shell_v1

No description available.

###### phosh_wayland_get_zwlr_output_manager_v1

No description available.

###### phosh_wayland_get_zwlr_output_power_manager_v1

No description available.

###### phosh_wayland_get_zwlr_screencopy_manager_v1

No description available.

###### phosh_wayland_get_zwp_virtual_keyboard_manager_v1

No description available.

###### phosh_wayland_get_zxdg_output_manager_v1

No description available.

###### phosh_wayland_has_wl_output

No description available.

###### phosh_wayland_roundtrip

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Wayland:seat-capabilities

No description available.

###### Phosh.Wayland:wl-outputs

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWaylandClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.